Bug 7212 - (int-134062) Sent text messages are shown as unsent
(int-134062)
: Sent text messages are shown as unsent
Status: RESOLVED FIXED
Product: Chat & Call & SMS
Messaging
: 5.0/(2.2009.51-1)
: N900 Maemo
: Medium normal with 1 vote (vote)
: 5.0/(10.2010.19-1)
Assigned To: rtcomm@maemo.org
: im-chat-bugs
:
:
:
: 7200
  Show dependency tree
 
Reported: 2009-12-22 01:53 UTC by shinydoofy
Modified: 2010-03-15 20:52 UTC (History)
3 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description shinydoofy (reporter) 2009-12-22 01:53:17 UTC
SOFTWARE VERSION:
1.2009.42-11

EXACT STEPS LEADING TO PROBLEM:
0. Have delivery reports turned on.
1. Send a text message to somebody else while their phone is off. There will be
a little yellow note at the top of the screen telling you that the message was
not received and you will be offered to resend that message again.
2. Wait for them to turn their phone back on. You will get another note saying
that the text was delivered successfully. The little not-sent icon in the
contact's messaging history will disappear.
3. Close the conversations application and open it up again after a few
moments. The little not-sent icon will be back.

EXPECTED OUTCOME:
The icon about the SMS message not being delivered should have disappeared
forever.

ACTUAL OUTCOME:
Said icon is still displayed and thus you can send that message until said
other phone receives it when both your phone and the other one are turned on at
the same time.

REPRODUCIBILITY:
2 of 2 attempts to reproduce this after noticing it by accident.

EXTRA SOFTWARE INSTALLED:

Nothing messaging-related.

OTHER COMMENTS:

This would be nice to see fixed as people might try sending the SMS multiple
times if they don't see their text messages delivered.
Comment 1 Mikhail Zabaluev nokia 2009-12-22 12:25:37 UTC
Thanks for your time investigating and reporting this case.
Comment 2 shinydoofy (reporter) 2009-12-22 22:52:00 UTC
I did some additional digging in the sqlite database el.db.

If I set flags to 0 (was 4 before) the icon disappears when selecting the
thread(?). However, it's still there in the app's start screen / overview
screen.

Random uninformed guess: missing/failing update or commit query perhaps?
Comment 3 Mikhail Zabaluev nokia 2010-01-18 11:23:55 UTC
The fix is being tested.
Comment 4 Andre Klapper maemo.org 2010-01-19 12:20:10 UTC
This has been fixed in package
rtcom-messaging-ui 1.2.9-2+0m5
which is part of the internal build version
2009.52-5
(Note: 2009/2010 is the year, and the number after is the week.)

A future public update released with the year/week later than this internal
build version will include the fix. (This is not always already the next public
update.)
Please verify that this new version fixes the bug by marking this bug report as
VERIFIED after the public update has been released and if you have some time.


To answer popular followup questions:
 * Nokia does not announce release dates of public updates in advance.
 * There is currently no access to these internal, non-public build versions.
   A Brainstorm proposal to change this exists at
http://maemo.org/community/brainstorm/view/undelayed_bugfix_releases_for_nokia_open_source_packages-002/
Comment 5 Andre Klapper maemo.org 2010-03-15 20:52:15 UTC
Setting explicit PR1.2 milestone (so it's clearer in which public release the
fix will be available to users).

Sorry for the bugmail noise (you can filter on this message).